FrontSceneResourceReservedEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.ui
Class FrontSceneResourceReservedEvent

    java.lang.Object
      java.util.EventObject
          org.davic.resources.ResourceStatusEvent
              org.ocap.ui.FrontSceneResourceReservedEvent

All Implemented Interfaces:
  Serializable

    public class FrontSceneResourceReservedEvent

extends ResourceStatusEvent

This event informs that the `HSceneBinding` returned by the `getSource()` method has gained the front-most position in the z-order stack for the containing graphics plane.

Author:
  Aaron Kamienski
See Also:
  `FrontSceneResourceReleasedEvent`, `OcapScene.showToFront(org.davic.resources.ResourceClient)`, `OcapScene.getResourceServer()`, Serialized Form

Constructor Summary
`FrontSceneResourceReservedEvent(Object source)` Constructor for the event.

Method Summary
`Object` | `getSource()` Returns the `HSceneBinding` object representing the `HScene` that moved into the front-most position.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrontSceneResourceReservedEvent

    public FrontSceneResourceReservedEvent(Object source)

  Constructor for the event.

  Parameters:
    `source` - the `HSceneBinding` object representing the `HScene` that moved into the front-most position

Method Detail

### getSource

    public Object getSource()

  Returns the `HSceneBinding` object representing the `HScene` that moved into the front-most position.

  Overrides:
    `getSource` in class `ResourceStatusEvent`
  Returns:
    the `HSceneBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD